Browse Source

apulse-9999 added.

master
Kolan Sh 1 year ago
parent
commit
025e73e9e0

+ 1
- 0
media-sound/apulse/Manifest View File

@@ -0,0 +1 @@
1
+DIST apulse-0.1.10.tar.gz 110272 SHA256 4f8aa9059d07bac1006e920a4a6b875ad63fdde973b83c138507812c00dd5cd6 SHA512 e922448095b7e3c8ae5766fadd5912ad39c1d0d68c73954305d17909b6bafe3a95c7e1ad4d63a4824293e0ba1495c253204343f31330c0ddb4fb419fe1f9eb12 WHIRLPOOL 56db7a62d75babe269f124f296c6000d322c50c1de583e6b274dc97ec456b6786315cc054ab7e09b1bd436ad47b86b58fc291d8e6f8192b6e2deeca14bef349b

+ 43
- 0
media-sound/apulse/apulse-9999.ebuild View File

@@ -0,0 +1,43 @@
1
+# Copyright 1999-2017 Gentoo Foundation
2
+# Distributed under the terms of the GNU General Public License v2
3
+
4
+EAPI=6
5
+
6
+inherit multilib cmake-multilib git-r3
7
+
8
+DESCRIPTION="PulseAudio emulation for ALSA"
9
+HOMEPAGE="https://github.com/i-rinat/apulse"
10
+
11
+EGIT_REPO_URI="https://github.com/i-rinat/apulse.git"
12
+
13
+LICENSE="MIT LGPL-2.1"
14
+SLOT="0"
15
+KEYWORDS=""
16
+
17
+DEPEND="dev-libs/glib:2[${MULTILIB_USEDEP}]
18
+	media-libs/alsa-lib[${MULTILIB_USEDEP}]"
19
+RDEPEND="${DEPEND}
20
+	!!media-plugins/alsa-plugins[pulseaudio]"
21
+
22
+MULTILIB_CHOST_TOOLS=( /usr/bin/apulse )
23
+
24
+src_prepare() {
25
+	cmake-utils_src_prepare
26
+
27
+	# Ensure all relevant libdirs are added, to support all ABIs
28
+	DIRS=
29
+	_add_dir() { DIRS="${EPREFIX}/usr/$(get_libdir)/apulse${DIRS:+:${DIRS}}"; }
30
+	multilib_foreach_abi _add_dir
31
+	sed -e "s#@@DIRS@@#${DIRS}#g" "${FILESDIR}"/apulse > "${T}"/apulse || die
32
+}
33
+
34
+multilib_src_configure() {
35
+	local mycmakeargs=("-DAPULSEPATH=${EPREFIX}/usr/$(get_libdir)/apulse")
36
+	cmake-utils_src_configure
37
+}
38
+
39
+multilib_src_install_all() {
40
+	cmake-utils_src_install
41
+	einstalldocs
42
+	dobin "${T}"/apulse
43
+}

+ 14
- 0
media-sound/apulse/files/apulse View File

@@ -0,0 +1,14 @@
1
+#!/bin/sh
2
+# Author:  Daniel Campbell <zlg@gentoo.org>
3
+# License: Creative Commons Public Domain Dedication (CC0 1.0)
4
+#          <https://creativecommons.org/publicdomain/zero/1.0/>
5
+
6
+# apulse needs at least one argument
7
+if [ $# -lt 1 ]; then
8
+	echo "Usage: apulse <app-path> [options]"
9
+	exit
10
+fi
11
+
12
+# Set library path for the application so it'll use apulse. DIRS is
13
+# replaced by the ebuild to include the correct paths
14
+LD_LIBRARY_PATH=@@DIRS@@${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH} exec "$@"

+ 1
- 0
profiles/desktop/package.accept_keywords View File

@@ -226,6 +226,7 @@ games-emulation/gens-gs ~amd64
226 226
 <media-plugins/audacious-plugins-3.10 ~amd64
227 227
 <media-plugins/caps-plugins-0.9.24 ~amd64
228 228
 <media-sound/alsa-utils-1.1.5 ~amd64
229
+=media-sound/apulse-9999 **
229 230
 <media-sound/audacious-3.10 ~amd64
230 231
 <media-sound/audacity-2.1 ~amd64
231 232
 <media-sound/jack-audio-connection-kit-1 ~amd64

Loading…
Cancel
Save